data:extend(
{
	{ -- standard-bullet-projectile
		type = "projectile",
		name = "standard-bullet-projectile",
		flags = "not-on-map",
		-- collision_box = {{-0.05, -1}, {0.05, 1}},  <-- This, THIS is why we can't have shotgun turrets; the collision box does not discriminate between enemies and friendly walls!
		acceleration = 0,
		direction_only = false,
		action = 
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects = 
				{
					{
						type = "create-entity",
						entity_name = "explosion-hit"
					},
					{
						type = "damage",
						damage = {amount = 2, type = "physical"}
					}
				}
			}
		},
		animation =
		{
			filename = "__base__/graphics/entity/bullet/bullet.png",
			frame_count = 1,
			width = 3,
			height = 50,
			priority = "high"
		}
	},
	{ -- piercing-bullet-projectile
		type = "projectile",
		name = "piercing-bullet-projectile",
		flags = "not-on-map",
		-- collision_box = {{-0.05, -1}, {0.05, 1}},
		acceleration = 0,
		direction_only = false,
		action = 
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects = 
				{
					{
						type = "create-entity",
						entity_name = "explosion-hit"
					},
					{
						type = "damage",
						damage = {amount = 5, type = "physical"}
					}
				}
			}
		},
		animation =
		{
			filename = "__base__/graphics/entity/bullet/bullet.png",
			frame_count = 1,
			width = 3,
			height = 50,
			priority = "high"
		}
	},
})